Package Details: brother-ql700-lpr 1.0.2-1

Git Clone URL: https://aur.archlinux.org/brother-ql700-lpr.git (read-only)
Package Base: brother-ql700-lpr
Description: Brother LPR driver for P-Touch QL-700 labelprinter
Upstream URL: http://solutions.brother.com/linux/en_us/
Licenses: custom:brother
Submitter: HaaTa
Maintainer: nullptr_t
Last Packager: nullptr_t
Votes: 0
Popularity: 0.000000
First Submitted: 2013-09-15 05:19
Last Updated: 2015-07-25 15:51

Latest Comments

nullptr_t commented on 2016-09-17 08:35

You might add a replaces line in your PKGBUILD and file deletion requests for both packages afterwards

kbabioch commented on 2016-09-16 09:17

I've came up with a package named brother-ql700 [1] that combines the lpr package as well as the cupswrapper package into a single package where all of the necessary files (PPD, filters) are available. This is in accordance with how Brother drivers should be packaged in Arch [2]. It is more lightweight and easier for the user, since he doesn't care about the details.

Feedback is very much appreciated.

[1]: https://aur.archlinux.org/packages/brother-ql700/
[2]: https://wiki.archlinux.org/index.php/Packaging_Brother_printer_drivers

HaaTa commented on 2014-02-11 07:01

Updated both ql700 packages again.
Working this time.
Brother seems to have screwed up the directory structures (and I can't do the sed anymore because the string in the executable would have to be a different length). Unfortunately, this may mean that Brother "might" screw around again to fix things...

Anyways, please note that these packages will automatically add the USB printer. Make sure it's turned on.
If you get a flashing red light when printing, make sure to set the paper size correctly in cups.

HaaTa commented on 2014-02-11 04:30

I've updated both the brother-ql700-cupswrapper (and this package) so they install again.
Unfortunately I'm running into a segfault when printing a Test Page.

[784695.796459] brprintconfpt1_[12966]: segfault at 4 ip 00000000f77a2c73 sp 00000000ffa28fa0 error 4 in ld-2.18.so[f7798000+20000]
[784695.801768] brprintconfpt1_[12969]: segfault at 4 ip 00000000f7787c73 sp 00000000ff8eca00 error 4 in ld-2.18.so[f777d000+20000]
[784695.805215] brprintconfpt1_[12971]: segfault at 4 ip 00000000f7778c73 sp 00000000ff902a40 error 4 in ld-2.18.so[f776e000+20000]
[784695.809550] brprintconfpt1_[12973]: segfault at 4 ip 00000000f77b0c73 sp 00000000ffd65090 error 4 in ld-2.18.so[f77a6000+20000]
[784695.814599] brprintconfpt1_[12975]: segfault at 4 ip 00000000f77c3c73 sp 00000000ff8355a0 error 4 in ld-2.18.so[f77b9000+20000]
[784695.818412] brprintconfpt1_[12977]: segfault at 4 ip 00000000f77a2c73 sp 00000000ffa8a8a0 error 4 in ld-2.18.so[f7798000+20000]
[784695.823843] brprintconfpt1_[12979]: segfault at 4 ip 00000000f76fec73 sp 00000000ffb21c00 error 4 in ld-2.18.so[f76f4000+20000]
[784695.828015] brprintconfpt1_[12981]: segfault at 4 ip 00000000f77c2c73 sp 00000000ffedb480 error 4 in ld-2.18.so[f77b8000+20000]
[784695.831492] brprintconfpt1_[12983]: segfault at 4 ip 00000000f7762c73 sp 00000000fff41c60 error 4 in ld-2.18.so[f7758000+20000]
[784695.835520] brprintconfpt1_[12985]: segfault at 4 ip 00000000f76f6c73 sp 00000000ffd56210 error 4 in ld-2.18.so[f76ec000+20000]

I'm going to keep investigating (hopefully finish before the Weekend as my vacation starts...).

HaaTa commented on 2014-02-07 18:49

Arg...brother changed the archive and didn't update the version numbers...
It was working when I submitted it...

I'm a bit busy this weekend, I'll try to get to it on Tuesday.

Avedo commented on 2014-02-07 17:04

Refer to my post in the Arch forums:
https://bbs.archlinux.org/viewtopic.php?id=176857